Get Operator Metadata
get
/v1/graphs/{graph_id}/operator/{operator_type}Part of Operator.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
operator_typerequired | string | Operator type identifier (e.g., 'analyst', 'mapping') |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/operator/{operator_type}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
namerequired | string | Operator name |
descriptionrequired | string | Operator description |
versionrequired | string | Operator version |
capabilitiesrequired | string[] | Operator capabilities |
supported_modesrequired | string[] | Supported execution modes |
requires_creditsrequired | boolean | Whether operator requires credits |
authoroptional | string | Operator author |
tagsoptional | string[] | Operator tags |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |